Skip to main content

List customer emails

GEThttps://carchost.fieldcontrol.com.br/customers/{customerId}/emails

Lists the emails of a customer.

Requires the X-Api-Key and User-Agent headers. Limit: 1 request per second (learn more).

Request​

Path parameters

customerIdstringrequired

Customer identifier.

Query parameters

limitinteger

Number of items per page.

From 1 to 100.Default: 10.

offsetinteger

Number of items to skip.

From 0 to 200000.Default: 0.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Responses

  • 200

    List of emails.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Resource not found. The response body is empty.

  • 422

    Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.